<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title> Document </title>
</head>

<body>
    <main>
        <div>
            <h1> {{list_details.name}} </h1>
                <p><a href="{% url "todo_list_update" list_details.id %}"> Edit </a></p>
                <p><a href="{% url "todo_list_delete" list_details.id %}"> Delete </a></p>
            <h2> Tasks </h2>
            <table>
                <thead>
                    <tr>
                        <th> Task </th>
                        <th> Due date</th>
                    </tr>
                </thead>
                <tbody>
                    {% for items in list_details.items.all %}
                    <tr>
                    <td>
                        <a href="{% url 'todo_item_update' items.id %}"> {{ items.task }} </a>
                    </td>
                    <td>
                        {{ items.due_date|date:"M j, Y" }}
                    </td>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
    </main>
</body>

</html>
